I have a RoR app running over Rails 2.3.4 and ruby 1.8.6 .. I am
planning to migrate to Rails 3.1

What or how will be the best way to do it? is there any application that
could help us to do this migration?

Regards

--
Posted via http://www.ruby-forum.com/.

--
You received this message because you are subscribed to the Google Groups "Ruby on Rails: Talk" group.
To post to this group, send email to rubyonrails-talk@googlegroups.com.
To unsubscribe from this group, send email to rubyonrails-talk+unsubscribe@googlegroups.com.
For more options, visit this group at http://groups.google.com/group/rubyonrails-talk?hl=en.

Search Discussions

  • Benjamin Iandavid Rodriguez at Jan 4, 2012 at 6:40 pm
    This episode on railscasts.com describes exactly what you're looking for:

    http://railscasts.com/episodes/282-upgrading-to-rails-3-1?autoplay=true

    Hope this helps!
    Regards!

    2012/1/4 Jesus Granados <lists@ruby-forum.com>
    I have a RoR app running over Rails 2.3.4 and ruby 1.8.6 .. I am
    planning to migrate to Rails 3.1

    What or how will be the best way to do it? is there any application that
    could help us to do this migration?

    Regards

    --
    Posted via http://www.ruby-forum.com/.

    --
    You received this message because you are subscribed to the Google Groups
    "Ruby on Rails: Talk" group.
    To post to this group, send email to rubyonrails-talk@googlegroups.com.
    To unsubscribe from this group, send email to
    rubyonrails-talk+unsubscribe@googlegroups.com.
    For more options, visit this group at
    http://groups.google.com/group/rubyonrails-talk?hl=en.
    --
    You received this message because you are subscribed to the Google Groups "Ruby on Rails: Talk" group.
    To post to this group, send email to rubyonrails-talk@googlegroups.com.
    To unsubscribe from this group, send email to rubyonrails-talk+unsubscribe@googlegroups.com.
    For more options, visit this group at http://groups.google.com/group/rubyonrails-talk?hl=en.
  • Chirag Singhal at Jan 5, 2012 at 4:12 am
    Hi Jesus,


    Here are the 4 RailsCasts on this topic, these will get you started:

    1. http://railscasts.com/episodes/225-upgrading-to-rails-3-part-1 - This
    screencast shows how to use rails_upgrade plugin to check the required
    changes and update your configuration to Rails 3, along with instructions
    on how to update some of the popular Gems.

    2. http://railscasts.com/episodes/226-upgrading-to-rails-3-part-2 - This
    screencast shows how to update your test suite, run the app and fix any
    errors introduced due to backwards incompatible changes introduced in Rails
    3.

    3. http://railscasts.com/episodes/227-upgrading-to-rails-3-part-3 - This
    screencast shows how to update all your views to match the new syntax from
    Rails 3 and remove any deprecation warnings, so that upgrade to future
    Rails versions is easier.

    4. http://railscasts.com/episodes/282-upgrading-to-rails-3-1 - This
    screencast shows how to upgrade to Rails 3.1 from Rails 3.0 and take
    advantage of the new asset pipeline introduced in Rails 3.1


    In a nut-shell, key things that will help are rails_upgrade plugin, update
    all your gems and plugins to a Rails 3 compatible version or find a
    replacement for them which is Rails 3 compatible, run your test suite to
    check for any failures, if you don't have one, then create a simple test
    suite for your app using capybara which tests key features of your app and
    then upgrade to Rails 3.

    I am writing a set of articles for a step-by-step upgrade to Rails 3.x,
    will link to them when they are ready, but in the meantime, feel free to
    send across any questions if you get stuck anywhere during the upgrade
    process.


    Chirag
    http://sumeruonrails.com


    On Thu, Jan 5, 2012 at 12:10 AM, Benjamin Iandavid Rodriguez wrote:

    This episode on railscasts.com describes exactly what you're looking for:

    http://railscasts.com/episodes/282-upgrading-to-rails-3-1?autoplay=true

    Hope this helps!
    Regards!


    2012/1/4 Jesus Granados <lists@ruby-forum.com>
    I have a RoR app running over Rails 2.3.4 and ruby 1.8.6 .. I am
    planning to migrate to Rails 3.1

    What or how will be the best way to do it? is there any application that
    could help us to do this migration?

    Regards

    --
    Posted via http://www.ruby-forum.com/.

    --
    You received this message because you are subscribed to the Google Groups
    "Ruby on Rails: Talk" group.
    To post to this group, send email to rubyonrails-talk@googlegroups.com.
    To unsubscribe from this group, send email to
    rubyonrails-talk+unsubscribe@googlegroups.com.
    For more options, visit this group at
    http://groups.google.com/group/rubyonrails-talk?hl=en.
    --
    You received this message because you are subscribed to the Google Groups
    "Ruby on Rails: Talk" group.
    To post to this group, send email to rubyonrails-talk@googlegroups.com.
    To unsubscribe from this group, send email to
    rubyonrails-talk+unsubscribe@googlegroups.com.
    For more options, visit this group at
    http://groups.google.com/group/rubyonrails-talk?hl=en.
    --
    You received this message because you are subscribed to the Google Groups "Ruby on Rails: Talk" group.
    To post to this group, send email to rubyonrails-talk@googlegroups.com.
    To unsubscribe from this group, send email to rubyonrails-talk+unsubscribe@googlegroups.com.
    For more options, visit this group at http://groups.google.com/group/rubyonrails-talk?hl=en.

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
grouprubyonrails-talk @
categoriesrubyonrails
postedJan 4, '12 at 6:19p
activeJan 5, '12 at 4:12a
posts3
users3
websiterubyonrails.org
irc#RubyOnRails

People

Translate

site design / logo © 2021 Grokbase